#include <Adafruit_GFX.h>
#include <Adafruit_SSD1306.h>
#include "NintendoMiniController.hpp"

NintendoMiniController controller;
Adafruit_SSD1306 display(128, 64, &Wire, -1); // 128 x 64 screen, -1 (no reset pin)

void setup() {
	Serial.begin(9600);
	controller.init();
	
	init_display();
}

void loop() {

	controller.update();

	controller.debug();

	if (controller.is_pressed()) {
		draw_str("Any key pressed");
	} else {
		draw_str("-");
	}

	delay(10);
}


// SCREEN
// ==============================

void init_display() {
	if (!display.begin(SSD1306_SWITCHCAPVCC, 0x3C)) {
		Serial.println(F("SSD1306 allocation failed"));
	} else {
		display.clearDisplay();
		display.setTextSize(2);
		display.setTextColor(WHITE);
		display.setCursor(0, 0);
		display.display();
	}
}

void draw_str(String log_str) {
	display.clearDisplay();
	display.setCursor(0, 0);

	display.println(log_str);
	display.display();
}